# &konsole; käsiraamat

&Jonathan.Singer; &Jonathan.Singer.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Robert.Knight; &Robert.Knight.mail;
&Kurt.Hindenburg; &Kurt.Hindenburg.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Marek
Laane

    bald@smail.ee

Tõlge eesti keelde
2000
2001
2002
&Jonathan.Singer;
2005
2008
2009
2010
2011
&Kurt.Hindenburg;
&FDLNotice;
2011-11-12
2.8 (&kde; 4.8)

&konsole; on &kde; terminaliemulaator.

KDE
konsool
kdebase
käsk
rida
terminal
käsurida

## Sissejuhatus

### Mis on terminal?

&konsole; on X'i terminali emulaator, mida sageli nimetatakse lihtsalt terminaliks või koorikuks (shell). See matkib käsurealiidest ainult teksti kasutavas aknas.

&UNIX; käsurea ehk CLI tutvustamine väljub käesoleva käsiraamatu temaatikast. Selle kohta leiab täpsemat teavet juba lihtsa internetiotsinguga.

### Kerimine ehk ajalugu

&konsole; kasutab kerimist ehk ajalugu, et võimaldada kasutajal näha varem näha olnud väljundit. Vaikimisi on see sisse lülitatud ning ajalugu ulatub lisaks parajasti ekraanil nähtavale veel 1000 rea võrra tagasi. Kui read üle ekraani kulgevad ja silmist kaovad, saab kadunuid uuesti vaadata kerimisriba ülespoole nihutades kas hiirega või kiirklahvidega &Shift;Page Up (liigub lehekülje võrra tagasi), &Shift;Page Down (liigub lehekülje võrra edasi), &Shift;Nool üles (liigub rea võrra üles) ja &Shift;Nool alla (liigub rea võrra alla).

### Profiilid

Profiilid võimaldavad kasutajal kiiresti ja vähese vaevaga automatiseerida teatavaid levinumaid käske. Mõned näited:

- ssh teise masinasse

- IRC seansi käivitamine

- käsu tail kasutamine faili jälgimiseks

Uue profiili loomine:

1. Vali menüükäsk Seadistused Profiilide haldamine...

2. Klõpsa nupule Uus profiil...

3. Kirjuta kõigepealt nimi, mille all seanssi näidatakse menüüs ja millest saab Shelli asemel sellist tüüpi seanssi avades vaikenimetus.

4. Kirjuta käsk, millega sa muidu avaksid uue shelliühenduse. Toodud näites võiks selleks olla ``ssh` administration`.

5. Dialoogi teistel kaartidel saab seadistada seansi välimust. Igal seansil võib olla erinev font, värviskeem, $`TERM` tüüp ja veel mitmeid muid erinevaid seadistusi.

6. Klõpsa nupule OK. Uus seanss on nüüd saadaval dialoogis Profiilide haldamine.

Kõik profiilid, millel on märgitud Näitamine menüüs, on nime järgi näha menüüs Fail Uus kaart. Kui näha on ainult vaikimisi profiil, siis alammenüüd ei näidata.

### Hiirenupud

Selles osas tutvustame hiirenuppude kasutamist, pidades nuppude asetusest rääkides silmas kõige levinumat paremkäelistele mõeldud hiirt. Kui kasutad vasakukäelistele kohandatud hiirt, vaheta lihtsalt teksti parem ja vasak ära.

Vasak

  Klõps &HVN;ga edastatakse &konsole;s töötavale rakendusele sündmusena, kui rakendus tunnustab hiirt. Kui rakendus hiireklõpsudele reageerib, annab &konsole; sellest teada noolekujulise kursoriga, kui mitte, siis on näha I- ehk tulbakujuline kursor.

  Kui hoida &HVN; all ja hiirt üle ekraani lohistada, saab hiirt mittetunnustavates rakendustes märkida ära tekstibloki. Hiirega lohistamise ajal näidatakse märgitud teksti ka visuaalselt vastandvärviga. Märgitud teksti kopeerimiseks lõikepuhvrisse, kus seda saab kasutada &konsole;s või mõnes muus rakenduses, vali käsk Kopeeri menüüst Redigeerimine. Valitud teksti saab ka sobivasse rakendusse otse lohistada. Selleks hoia all klahvi &Ctrl; ja lohista see soovitud kohta.

  Tavaliselt lisatakse iga valitud rea lõppu reavahetuse märk. See tuleb eriti kasuks lähtekoodi või mõne käsu väljundi lõikamisel ja asetamisel. Tavalise teksti korral ei ole reavahetused nii olulised. Mõni võib isegi eelistada, et tekst oleks märgijada, mida automaatselt vormindatakse rakenduses, kuhu see asetatakse. Sellise režiimi valimiseks hoia tavalisel valimisel all klahvi &Ctrl;.

  Kui ühes &HVN;ga hoida all klahve &Ctrl; ja &Alt;, saab valida tekstiveeru.

  Topeltklõps &HVN;ga valib sõna, kolmikklõps terve rea.

  Kui märkimise ajal puudutatakse tekstiala ülemist või alumist serva, kerib &konsole; ekraani üles või alla, näidates teksti oma ajaloopuhvrist. Kerimine peatub koos hiire liikumise peatumisega.

  Kui hiir lahti lasta, püüab &konsole; hoida lõikepuhvris olevat teksti nähtavana, värvides märgitud ala. See kaotab värvi niipea, kui lõikepuhvri sisu muutub, märgitud alas teksti muudetakse või klõpsatakse &HVN;ga.

  Teksti märkimiseks hiirt tunnustavates rakendustes (näiteks Midnight Commander) tuleb klõpsamise ajal vajutada ka klahvi &Shift;.

Keskmine

  Klõps &HKNga; asetab parajasti lõikepuhvris oleva teksti. Kui &HVNga; klõpsamise ajal hoida all klahv &Ctrl;, asetatakse tekst ja lisatakse reavahetus. See on mugav asetatud käskude kiireks täitmiseks, kuid võib olla samas ohtlik, nii et kasuta seda võimalust ettevaatlikult.

  Kui kasutad ainult kahe nupuga hiirt, tuleb &HVN; ja &HPN; korraga all hoida, et imiteerida klõpsu &HKN;ga.

  Kui sul on keskmise nupu rolli määratud hiireratas, kerib selle liigutamine hiirt mittetunnustavates rakendustes &konsole; kerimisriba.

Parem

  Kui klõpsata &HVNga;, ilmuvad menüüs järgmised elemendid: Kopeeri, Aseta, Ava failihaldur, Määra kodeering, Puhasta ajalugu, Seadista ajalugu..., Näita menüüriba, Vaheta profiili, Seadista aktiivset profiili... ja Sulge kaart.

  Hiirt tunnustava rakenduse korral avab kontekstimenüü üheaegne klahvi &Shift; vajutamine ja klõps &HPNga;.

## Käskude seletused

### Menüüriba

Menüüriba asub &konsole; akna ülaservas. Kui see on peidetud, saab käsuga Näita menüüriba, mille leiab hiire parema nupuga aknas klõpsamisel (tingimusel, et parajasti ei tööta mõni kogu ekraani hõlmav rakendus, näiteks vi, minicom vms.) avatavas kontekstimenüüs. Iga menüükirje järel on kirjas ka selle vaikimisi kiirklahv.

#### Menüü Fail

&Ctrl;&Shift;N Fail Uus aken

  Avab &konsole; uue eraldi akna vaikimisi profiiliga.

&Ctrl;&Shift;T Fail Uus kaart

  Avab uue kaardi vaikimisi profiiliga.

  &konsole; pakub Shelli profiili vaikimisi. Kõik uued, kasutaja lisatud profiilid on kirjas alammenüüs. Kui näidatakse ainult vaikimisi profiili, alammenüü puudub.

&Ctrl;&Shift;W Fail Sulge kaart

  Sulgeb aktiivse kaardi.

Ajalugu Salvesta väljund...

  Salvestab aktiivse ajaloo teksti- või HTML-failina.

Fail Ava failihaldur

  Avab &kde; failihalduri aktiivses kataloogis. Vaikimisi on failihalduriks &dolphin;.

&Ctrl;&Shift;Q Fail Välju

  Lõpetab &konsole; töö.

  &konsole; näitab seadistustedialoogi, kui avatud on rohkem kui üks kaart. Dialoogi näitamise saab keelata, kui märkida kastike Rohkem ei küsita.

#### Menüü Redigeerimine

&Ctrl;&Shift;C Redigeerimine Kopeeri

  Kopeerib valitud teksti lõikepuhvrisse.

&Ctrl;&Shift;V Redigeerimine Aseta

  Asetab teksti lõikepuhvrist kursori asukohta.

Redigeerimine Vali kõik

  Valib kogu teksti aktiivses aknas

Redigeerimine Kopeeri sisend Kõigile aktiivse akna kaartidele

  Võimaldab saata aktiivse seansi sisendi ka teistesse aktiivse akna seanssidesse

&Ctrl;&Shift;C Redigeerimine Kopeeri sisend Vali kaardid...

  Võimaldab saata aktiivse seansi sisendi samaaegselt kasutaja valitud seanssidesse

&Ctrl;&Shift;C Redigeerimine Kopeeri sisend Puudub

  Sisendit ei saadeta enam aktiivsest seansist teistele seanssidele

&Ctrl;&Alt;S Redigeerimine Nimeta kaart ümber...

  Avab dialoogi, kus saab muuta aktiivse kaardi nime (täpsem teave).

&Ctrl;&Alt;U Redigeerimine Saada ZModemiga...

  Avab dialoogi, kus saab valida üleslaaditava faili, kui paigaldatud on vajalik tarkvara

&Ctrl;&Shift;F Redigeerimine Otsi...

  Avab &konsole; akna allservas otsinguriba.

  See võimaldab tõstutundlikke, edasi- või tagasisuunas ning regulaaravaldistega otsingut.

F3 Redigeerimine Otsi järgmine

  Liigub otsinguga leitud järgmisele vastele.

&Shift;F3 Redigeerimine Otsi eelmine

  Liigub otsinguga leitud eelmisele vastele.

#### Menüü Vaade

&Ctrl;( Vaade Vaate poolitamine Poolita vaade horisontaalselt

  Poolitab kõik kaardid vasak- ja parempoolseks vaateks.

  Mis tahes vaate väljundit kajastatakse ka teises vaates.

&Ctrl;) Vaate Vaate poolitamine Poolita vaade vertikaalselt

  Poolitab kõik kaardid ülemiseks ja alumiseks vaateks.

  Mis tahes vaate väljundit kajastatakse ka teises vaates.

&Ctrl;&Shift;S Vaade Vaate poolitamine Sulge aktiivne

  Sulgeb aktiivse vaate.

&Ctrl;&Shift;O Vaade Vaate poolitamine Sulge teised

  Sulgeb kõik mitteaktiivsed vaated

&Ctrl;&Shift;] Vaade Vaate poolitamine Laienda vaadet

  Muudab aktiivse vaate suuremaks.

&Ctrl;&Shift;[ Vaade Vaate poolitamine Vähenda vaadet

  Muudab aktiivse vaate väiksemaks.

&Ctrl;&Shift;H Vaade Haagi aktiivne kaart lahti

  Avab aktiivse kaardi omaette aknas.

  Eelmise &konsole; akna töö lõpetamine ei mõjuta uut akent.

&Ctrl;&Shift;I Vaade Jälgi vaikust

  Lülitab aktiivsel kaardil tegevuse puudumise jälgimist.

  Vaikimisi ilmub pärast 10-sekundilist tegevuse puudumist seansi sakile teabeikoon. Märguande tüüpi saab muuta menüükäsuga Seadistused Märguannete seadistamine Vaikus jälgitavas seansis.

&Ctrl;&Shift;A Vaade Jälgi aktiivsust

  Lülitab aktiivsel kaardil aktiivsuse jälgimist.

  Igasuguse tegevuse peale ilmub seansi sakile teabeikoon. Märguande tüüpi saab muuta menüükäsuga Seadistused Märguannete seadistamine Aktiivsus jälgitavas seansis.

&Ctrl;+ Vaade Suurenda fonti

  Suurendab kasutatava kirja suurust.

&Ctrl;- Vaade Vähenda fonti

  Vähendab kasutatava kirja suurust.

Vaade Määra kodeering

  Määrab kodeeringu

Vaade Puhasta ajalugu

  Eemaldab ajaloos oleva teksti

&Ctrl;&Shift;X Vaade Puhasta ajalugu ja lähtesta

  Eemaldab aktiivse kaardi teksti ja ajaloo ning lähtestab terminali.

#### Menüü Järjehoidjad

&Ctrl;&Shift;B Järjehoidjad Lisa järjehoidja

  Lisab aktiivse asukoha.

Järjehoidjad Salvesta kaardid järjehoidjate kataloogina...

  Lisab kõik kaardid järjehoidjate kataloogi.

  Avatakse dialoog, kus saab anda järjehoidjate kataloogi nime.

Järjehoidjad Uus järjehoidjate kataloog...

  Lisab uue kataloogi järjehoidjate nimekirja.

  Avatakse dialoog, kus saab anda järjehoidjate kataloogi nime.

Järjehoidjad Redigeeri järjehoidjaid

  Avab järjehoidjate redaktori.

  Kaugühenduste avamiseks võib järjehoidjate redaktoris käsitsi lisada URL-e. Praegu tunnistab &konsole; järgmisi võimalusi:

  - ssh://kasutaja@masin:port

  - telnet://kasutaja@masin:port

#### Menüü Seadistused

Seadistused Aktiivse profiili seadistamine...

  Avab dialoogi aktiivse profiili seadistamiseks

Seadistused Profiili vahetamine

  Aktiivse profiili lülitamine kirjas olevale profiilile

Seadistused Profiilide haldamine...

  Avab profiilide halduri.

&Ctrl;&Shift;M Seadistused Menüüriba näitamine

  Lülitab menüüriba näitamise sisse või välja.

Seadistused Täisekraanirežiim

  Lülitab &konsole; näitamist kogu ekraanil.

Seadistused Kiirklahvide seadistamine...

  Avab kiirklahvide redaktori.

Seadistused Märguannete seadistamine...

  Avab märguannete redaktori.

#### Menüü Abi

&help.menu.documentation;

### Kaardi ümbernimetamise dialoog

Selles dialoogis saab muuta aktiivse kaardi nime. Dialoogi saab avada menüüst, kiirklahviga &Ctrl;&Alt;S või topeltklõpsuga kaardi sakil kaardiribal. Muudatuse saab muuta püsivaks, kui muuta aktiivset profiili.

&konsole; asendab järgmised kohatäitjad:

- %n : programmi nimi

- %d : aktiivne kataloog (lühidalt)

- %D : aktiivne kataloog (pikalt)

- %w : shelli määratud akna nimetus

- %# : seansi number

- %u : kasutajanimi

Näited:

- `%d : %n`, kui /usr/src on aktiivne kataloog ja töötab bash, näitab usr/s : bash

- `%D : %n`, kui /usr/src on aktiivne kataloog ja töötab top. näitab /usr/src : top

- `%w (%#)`, kui ~ on aktiivne kataloog ja töötab vim esimesel kaardil, näitab [No Name] (~) - VIM(1)

### Sisendi kopeerimise dialoog

Ühel kaardil sisestatud tekst saadetakse samaaegselt teistele kaartidele. Dialoog võimaldab valida, millised kaardid sisendi saavad. Aktiivset kaarti valida ei saa, sestap on see hallikas.

### Ajaloo kohandamise dialoog

Selles dialoogis saab muuta ajaloo suuruse kerimise valikuid. Kõik muudatused kehtivad ainult aktiivsele kaardile ja neid ei salvestata profiili.

## Käsurea võtmed

Kui &konsole; käivitatakse käsurealt, saab selle käitumist muuta mitme võtme abil.

`--help`

  Näitab võtmete nimekirja.

`--profile` `fail`

  Käivitab &konsole; vaikimis profiili asemel määratud profiiliga.

`--list-profiles`

  Näitab kõigi saadaolevate profiilide nimekirja.

`--background-mode`

  &konsole; käivitamine taustal ja muutmine aktiivseks klahviga F12.

`--new-tab`

  Uue kaardi loomine aktiivses aknas uue akna loomise asemel.

`--tabs-from-file` `fail`

  Kaartide loomine vastavalt määratud kaartide seadistustefailile.

  Failis on iga kaart eraldi real järgmises vormingus:

  title: see on pealkiri;; käsk: käivita mind

`--workdir` `kataloog`

  Avamine algses töökataloogis `dir`.

`--notransparency`

  Läbipaistva tausta keelamine, isegi kui süsteem seda toetab.

`--force-transparency`

  Läbipaistva tausta lubamine, isegi kui süsteem ei paista seda toetavat.

`--hold, --noclose`

  Algset seanssi ei suleta lõpetamisel automaatselt.

`-p` `omadus=väärtus`

  Profiili omaduse väärtuse muutmine.

`-e` `käsk`

  Käivitab shelli asemel `käsu`.

  Kõik argumendid pärast `käsku` edastatakse juba `käsule`, mitte enam &konsole;le.

`--nofork`

  Ei käivitata taustal. Seda on sageli vaja teiste terminalide matkimiseks.

&konsole; tunnistab ka tavalisi &Qt; ja &kde; võtmeid:

`--help-qt`

  &Qt; spetsiifiliste võtmete nimekiri

Järgmised &Qt; võtmed &konsole;s ei toimi:

`--fn`, `--font` `fondinimi`

  Määrab rakenduse fondi

`--bg`, `--background` `värv`

  Määrab vaikimisi taustavärvi

`--fg`, `--foreground` `värv`

  Määrab vaikimisi esiplaani värvi

`--btn`, `--button` `värv`

  Määrab vaikimisi nupu värvi

`--help-kde`

  &kde; spetsiifiliste võtmete nimekiri

`--help-all`

  Kõigi võtmete nimekiri

`--author`

  Näitab autorite nimesid

`-v,--version`

  Näitab versiooni

`--license`

  Näitab litsentsiinfot

## &konsole; skriptimine

&kde; 4 puhul on kunagine &DCOP; asendatud &DBus;iga. &konsole; toetab arvukaid meetodeid, mida saab kasutada koostöös &DBus;iga.

&DBus;i liidest saab kasutada kahel moel: &Qt; &GUI; qdbusviewer ja käsureal qdbus.

Näited:

- &percnt; `qdbus` näitab kõiki saadaolevaid teenuseid.

- &percnt; `qdbus` `org.kde.konsole` näitab &DBus;i &konsole; liidest.

- &percnt; `qdbus` `org.kde.konsole /Konsole` näitab meetodeid, millega juhtida &konsole; peaakent.

- &percnt; `qdbus` `org.kde.konsole /Sessions/1` näitab esimese seansi meetodeid.

Kui käivitad &konsole; terminalist, võib olla vajalik anda `org.kde.konsole` asemel `org.kde.konsole-`pidof -s konsole``.

Täpsemalt kõneleb sellest &DBus;i algtutvustus.

## Kas teadsid, levinumad probleemid ja muud asjad

### Kas teadsid?

- Teksti valimisel klahvi &Ctrl; allhoidmine teisendab asetamisel reavahetused tühikuteks.

- Teksti valimisel klahvide &Ctrl;&Alt; allhoidmine võimaldab valida veerge.

- &Ctrl;hiireratas kombinatsioon suurendab või vähendab teksti suurust, nagu ka Konqueroris või Firefoxis.

- Kui programm tunnistab ükspuha kumba hiirenuppu, võimaldab klahvi &Shift; vajutamine avada hüpikmenüü.

- Kiirklahv &Ctrl;&Shift;F10 aktiveerib menüü.

- Klahvidega &Shift;Insert saab lisada lõikepuhvri.

- Topeltklõps valib terve sõna. Kui hoida hiirenuppu edasi all ja hiirt liigutada, laieneb ka valik.

- Kolmikklõps valib terve rea. Kui hoida hiirenuppu edasi all ja hiirt liigutada, laieneb ka valik.

### Levinumad probleemid

- Terminalist käivitades hakkab &konsole; vaikimisi tööle taustal. Et &konsole; töötaks kindlasti esiplaanil, kasuta võtit `--nofork`.

  Seda on vaja, et mõned skriptid ja käsud saaksid korrektselt toimida.

  - `konsole --nofork -e sleep 3 ; echo 1`

  - `kdesu -u kdeuser konsole --nofork`

- KDE 3 ajal oli igal kaardil omaette protsessi ID. KDE 4 ajal kasutavad aga kõik kaardid sama protsessi ID-d. Sellega kaasneb ühtlasi see, et kui mõne kaardi protsessil tekib probleeme, tunnetavad sama probleemi ka teised kaardid.

  See on kõige ilmsem siis, kui probleeme tekib käsuga, mis loob ühenduse välise seadme või süsteemiga (ssh, nfs).

- &konsole; käsitleb argumente pärast võtit `-e` ühe käsuna ja käivitab selle otse, mitte ei parsi seda ega jaga vajaduse korral täidetavateks alamkäskudeks. Selle poolest erinetakse xtermist.

  - `konsole -e "käsk1 ; käsk2"` ei toimi

  - `konsole -e $SHELL -c "käsk1 ; käsk2"` toimib

- &konsole; ei paku võimalust käivitada sisselogimisshelli, sest arendajatele ei meeldi kohe sugugi mõte sisselogimisshelli käimapanekust terminaliemulaatoris.

  Loomulikult võivad kasutajad ikkagi käivitada sisselogimisshelli ka &konsole;s, kui nad seda tõepoolest soovivad. Muuda kasutatavat profiili ja selle käsku nii, et see käivitaks otseselt sisselogimisshelli, näiteks "`bash -l`" ja "`zsh -l`".

## Autorid ja autoriõigus

&konsole; praegune hooldaja on &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

&konsole; varasemad hooldajad on olnud &Robert.Knight; &Robert.Knight.mail; ja &Waldo.Bastian; &Waldo.Bastian.mail;

Rakenduse &konsole; autoriõigus © 1997-2008: &Lars.Doelle; &Lars.Doelle.mail;

Käsiraamatu kirjutas algselt &Jonathan.Singer; &Jonathan.Singer.mail;

Käsiraamatu uuendas &kde; 4.x tarbeks &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

Käsiraamatu uuendas &kde; 3.4 tarbeks &Kurt.Hindenburg; &Kurt.Hindenburg.mail;

DocBook SGML vormingusse teisendasid &Mike.McBride; ja &Lauri.Watts;

Tõlge eesti keelde: Marek Laane bald@starman.ee

&underFDL; &underGPL;

## Lingid

Täpsemat teavet annavad järgmised veebileheküljed:

- &konsole; kodulehekülg &kde; UserBase'is

- &konsole; kodulehekülg

- &konsole; postiloend

- &kde; FreeBSD-l

- &kde; Solarisel

&documentation.index;